Skip to main content
Monitor results are account signals found while Plyne checks your monitored accounts.
curl --request POST \
  --url 'https://api.plyne.ai/v1/monitor/results' \
  --header 'Authorization: Bearer plyne_...' \
  --header 'Content-Type: application/json' \
  --data '{
    "account_ids": ["acc_123"],
    "cursor": { "limit": 50 }
  }'
{
  "data": [
    {
      "id": "result_123",
      "account_id": "acc_123",
      "signal_id": "sig_123",
      "signal_name": "Hiring Activity",
      "status": "found",
      "summary": "Acme opened 5 new SDR roles this week.",
      "created_at": "2026-06-15T08:00:00Z"
    }
  ],
  "cursor": {
    "next": "",
    "has_more": false
  }
}
POST /v1/monitor/results

Authorizations

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your API key.

Body

account_idsstring[]

Return account signals for one or more monitored accounts.

Example: [“acc_123”]

signal_idsstring[]

Return activity for one or more custom signal definitions.

Example: [“sig_123”]

statusesstring[]

Filter account signals by status.

Example: [“found”]

observedobject

Restrict results to when the account signal was observed.

cursor.limitinteger

Number of monitor results to return.

cursor.afterstring

Opaque cursor returned as cursor.next from the previous response.